# Copyright 1999-2009 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $

NOVELL_BUILDID="BJosshlLid0~"
NOVELL_FILE32="iMan_27_linux.tgz"
RESTRICT="mirror strip"

inherit novell eutils java-utils-2 rpm

MY_PV=$(replace_version_separator 2 '-')

DESCRIPTION="Novell iManager"
HOMEPAGE="http://www.novell.com"
SRC_URI="http://${NOVELL_ACCOUNT_USERNAME}:${NOVELL_ACCOUNT_PASSWORD}@cdn.novell.com/prot/${NOVELL_BUILDID}/${NOVELL_FILE32}
	http://${NOVELL_ACCOUNT_USERNAME}:${NOVELL_ACCOUNT_PASSWORD}@cdn.novell.com/free/${NOVELL_BUILDID}/${NOVELL_FILE32}"

LICENSE="Novell-eDir-87"
SLOT="0"
KEYWORDS="~x86 ~amd64"
IUSE=""

DEPEND=""

RDEPEND="virtual/libc
	=www-servers/tomcat-6*
	www-apache/mod_jk"
PDEPEND="app-admin/novell-plugin-base"

src_unpack() {
	unpack ${A}
	mkdir -p "${WORKDIR}"/${PN}-${MY_PV}
	cd ${PN}-${MY_PV}
	rpm_unpack ../work/iManager/installs/linux/packages/imanager/rpms/${PN}-${MY_PV}.noarch.rpm
}

src_compile() { :; }

src_install() {
	insinto /etc/opt/novell/iManager/
	doins "${WORKDIR}"/${PN}-${MY_PV}/etc/opt/novell/iManager/*.*
	insinto /var/opt/novell/iManager/nps/
	doins "${WORKDIR}"/${PN}-${MY_PV}/var/opt/novell/iManager/nps/*.*
	insinto /var/opt/novell/iManager/nps/META-INF
	doins "${WORKDIR}"/${PN}-${MY_PV}/var/opt/novell/iManager/nps/META-INF/*.*
	insinto /var/opt/novell/iManager/nps/WEB-INF
	doins "${WORKDIR}"/${PN}-${MY_PV}/var/opt/novell/iManager/nps/WEB-INF/*.*
	keepdir /var/opt/novell/iManager/nps/WEB-INF/bin/linux/
	insinto /var/opt/novell/iManager/nps/WEB-INF/bin
	doins "${WORKDIR}"/${PN}-${MY_PV}/var/opt/novell/iManager/nps/WEB-INF/bin/*.*
	insinto /var/opt/novell/iManager/nps/WEB-INF/classes
	doins -r "${WORKDIR}"/${PN}-${MY_PV}/var/opt/novell/iManager/nps/WEB-INF/classes/*
	insinto /var/opt/novell/iManager/nps/WEB-INF/lib
	doins "${WORKDIR}"/${PN}-${MY_PV}/var/opt/novell/iManager/nps/WEB-INF/lib/*.*
	keepdir /var/opt/novell/iManager/nps/WEB-INF/logs
	insinto /var/opt/novell/iManager/nps/WEB-INF/misc
	doins "${WORKDIR}"/${PN}-${MY_PV}/var/opt/novell/iManager/nps/WEB-INF/misc/*.*
	insinto /var/opt/novell/iManager/nps/dojo
	doins -r "${WORKDIR}"/${PN}-${MY_PV}/var/opt/novell/iManager/nps/dojo/*
	insinto /var/opt/novell/iManager/nps/packages
	doins "${WORKDIR}"/${PN}-${MY_PV}/var/opt/novell/iManager/nps/packages/*.*
	insinto /var/opt/novell/iManager/nps/portal
	doins -r "${WORKDIR}"/${PN}-${MY_PV}/var/opt/novell/iManager/nps/portal/*
	insinto /var/opt/novell/iManager/nps/support
	doins -r "${WORKDIR}"/${PN}-${MY_PV}/var/opt/novell/iManager/nps/support/*

	echo "\$IMANAGER_VERSION\$=2.7" >> "${D}"/etc/eMFrameInstall.properties
	echo "\$INSTALL_LOCATION\$=/var/lib/tomcat-6/webapps/nps" >> "${D}"/etc/eMFrameInstall.properties
	dosed "s|IMANAGER_NPS_DIRECTORY|/var/lib/tomcat-6/webapps/nps|g" /etc/opt/novell/iManager/nps-Apache.conf
	dosed "s|/var/opt/novell/tomcat4/webapps/|/var/lib/tomcat-6/webapps/|g" /etc/opt/novell/iManager/nps-Apache.conf
#	die "dev"
}

pkg_nofetch() {
	einfo "This files require you to register at ${HOMEPAGE} (free account)"
	einfo "Please download following file:"
	einfo " - ${NOVELL_FILE32}"
	einfo "from http://download.novell.com/Download?buildid=${NOVELL_BUILDID}"
	einfo "and place it in ${DISTDIR}"
	einfo ""
	einfo "To get rid of downloading files from ${HOMEPAGE}"
	einfo "you can create a file /etc/portage/novell.acc"
	einfo "containing the novell account infos with following commands"
	einfo "# echo \"NOVELL_ACCOUNT_USERNAME=\\\"balduin\\\"\" >> /etc/portage/novell.acc"
	einfo "# echo \"NOVELL_ACCOUNT_PASSWORD=\\\"derfisch\\\"\" >> /etc/portage/novell.acc"
}


pkg_postinst() {


        echo ""
        ewarn "Please edit ${ROOT}etc/apache2/httpd.conf and add the following line"
        ewarn "at the bottom of the file after Include ${ROOT}etc/apache2/vhosts.d/*.conf"
        ewarn "Include /etc/opt/novell/iManager/*.conf"                                         
        echo ""                                                                           
        ewarn "You MUST add \"-D JK\" to APACHE2_OPTS in /etc/conf.d/apache2"           
        echo ""                                                                           
#       ewarn "You can check by running ps aux | grep mono"                               
#       ewarn "Remember, your default admin credentials are:  admin:novell"
        echo ""
        ewarn "You must run emerge --config novell-imanager now"
        ewarn "to complete the install if this is the first time"
        ewarn "you have installed the server"
#       ewarn "Please edit ${simiasdatadir}/Simias.config now to change your administrative"
#       ewarn "username and password if desired and to set the name and description of your new iFolder server."
#       ewarn "You must also edit the \"PublicAddress\" and \"PrivateAddress\""
#       ewarn "settings to match your environment!"
#        echo ""
#        ewarn "Visit http://www.ifolder.com/index.php/HowTo:Building_iFolder_Enterprise_Server_on_Gentoo"
#        ewarn "for more information"
#       echo ""
#       ewarn "Please login to http://localhost/admin/ in order to initialize the db"
#       ewarn "if this is the first time running the server"

}

pkg_config(){
	ewarn "Remember that ${PN} runs behind apache"
	ewarn "therefore give appropriate urls when running this"
	ewarn "script.  Specifically with regards to ports"
	ewarn "ie: use \"http://localhost\""
	ewarn "do not use \"http://localhost:8086\""
	echo ""


	chown -R apache:apache /var/opt/novell/iManager/nps/
	rm -f /var/lib/tomcat-6/webapps/nps
	ln -sf /var/opt/novell/iManager/nps /var/lib/tomcat-6/webapps/nps
	cd /opt/novell/lib64/
	for i in *.so.*
	do
	    ln -sf /opt/novell/lib64/${i} /var/opt/novell/iManager/nps/WEB-INF/bin/linux/${i}
	done
	cd /opt/novell/eDirectory/lib64/
	for i in *.so.*
	do
	    ln -sf /opt/novell/eDirectory/lib64/${i} /var/opt/novell/iManager/nps/WEB-INF/bin/linux/${i}
	done


	echo ""
	einfo "Congratulations, configuration complete!"
	ewarn "Now login to http://<server>/nps/"
}

