# Copyright 1999-2004 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $

EAPI="2"

inherit mono

DESCRIPTION="This is a sample skeleton ebuild file"
HOMEPAGE="http://nunit.sf.net/"
SRC_URI="http://launchpad.net/nunitv2/2.5.3/2.5.3/+download/NUnit-${PV}-src.zip"

LICENSE="BSD"
SLOT="0"
KEYWORDS="~amd64"

IUSE="debug"

DEPEND=">=dev-lang/mono-1.0
	dev-dotnet/nant
	app-arch/unzip"

S="${WORKDIR}/NUnit-${PV}"

src_compile() {
	if use debug ; then
		nant mono debug build || die
	else
		nant mono release build || die
	fi
}

src_install() {
	local builddir=""
	use debug && builddir="debug" || builddir="release"
	dodoc ${WORKDIR}/doc/*.txt

	dohtml ${WORKDIR}/doc/*.html
		
	insinto /usr/share/${P}/samples

	doins -r ${WORKDIR}/samples/*

	insinto /usr/lib/nunit/

	buildpath=${WORKDIR}/src/build/mono/1.0/${builddir}
	
	doins ${buildpath}/*.{config,dll,mdb,exe}

	into /usr
	dobin ${FILESDIR}/nunit-console
}
