# Copyright 1999-2009 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $

NOVELL_BUILDID="BxzoOjyDOGA~"
NOVELL_FILE32="AccountManagementUnix.zip"
RESTRICT="mirror strip"

inherit novell eutils java-utils-2

DESCRIPTION="Novell Unix Account Management Snap-in"
HOMEPAGE="http://www.novell.com"
SRC_URI="http://${NOVELL_ACCOUNT_USERNAME}:${NOVELL_ACCOUNT_PASSWORD}@cdn.novell.com/prot/${NOVELL_BUILDID}/${NOVELL_FILE32}"

LICENSE="Novell-ConsoleOne-SnapIn"
SLOT="0"
KEYWORDS="~x86 ~amd64"
IUSE=""

DEPEND="!app-admin/novell-consoleone-unix-account-management-snapin"

RDEPEND="virtual/libc
	>=virtual/jdk-1.4
	>=app-admin/novell-novlc1-1.3.6_p1"

src_unpack() {
	unpack ${A}
}

src_compile() { :; }

src_install() {
	java-pkg_jarinto /usr/ConsoleOne/resources/unix
	java-pkg_dojar "${WORKDIR}"/snapins/unixsnapins/unixSnapinRes.jar
	java-pkg_jarinto /usr/ConsoleOne/snapins/unix
	java-pkg_dojar "${WORKDIR}"/snapins/unixsnapins/unixsnapin.jar
	insinto /usr/ConsoleOne/help
	doins -r "${WORKDIR}"/help/*
}

pkg_nofetch() {
	einfo "This files require you to register at ${HOMEPAGE} (free account)"
	einfo "Please download following file:"
	einfo " - ${NOVELL_FILE32}"
	einfo "from http://download.novell.com/Download?buildid=${NOVELL_BUILDID}"
	einfo "and place it in ${DISTDIR}"
	einfo ""
	einfo "To get rid of downloading files from ${HOMEPAGE}"
	einfo "you can create a file /etc/portage/novell.acc"
	einfo "containing the novell account infos with following commands"
	einfo "# echo \"NOVELL_ACCOUNT_USERNAME=\\\"balduin\\\"\" >> /etc/portage/novell.acc"
	einfo "# echo \"NOVELL_ACCOUNT_PASSWORD=\\\"derfisch\\\"\" >> /etc/portage/novell.acc"
}
