# Copyright 1999-2009 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $

EAPI="1"

NOVELL_BUILDID="LYlbZMAom6k~"
NOVELL_FILE32="patchfiles/ss206_SLAH.tgz"
RESTRICT="mirror strip"

inherit novell eutils rpm java-utils-2 versionator multilib

MY_PVV=$(replace_version_separator 4 '-')
MY_PV="${MY_PVV/_p/_}"

DESCRIPTION="Novell Public Key Infrastructure Services"
HOMEPAGE="http://www.novell.com"
SRC_URI="http://${NOVELL_ACCOUNT_USERNAME}:${NOVELL_ACCOUNT_PASSWORD}@cdn.novell.com/prot/${NOVELL_BUILDID}/${NOVELL_FILE32}"

LICENSE="Novell-eDir-87"
SLOT="8.7"
KEYWORDS="~x86 ~amd64"
IUSE=""

DEPEND="!app-crypt/novell-npkiapi:0
	!app-crypt/novell-npkiapi:8.8"

RDEPEND="virtual/libc
	>=virtual/jdk-1.4
	x86? ( sys-libs/lib-compat )
	amd64? ( app-emulation/emul-linux-x86-compat )
	>=app-crypt/novell-nici-2.7.3_p001
	app-crypt/novell-npkit:8.7
	net-nds/novell-nldapsdk:8.7
	net-nds/novell-ndsbase:8.7"

src_unpack() {
	unpack ${A}
	mkdir -p "${WORKDIR}"/${PN}-${MY_PV}
	cd ${PN}-${MY_PV}
	rpm_unpack "${WORKDIR}"/Linux/eDir87x/NOVLpkia-${MY_PV}.i386.rpm
}

src_compile() { :; }

src_install() {
	has_multilib_profile && ABI="x86"

	dolib.so "${WORKDIR}"/${PN}-${MY_PV}/usr/lib/*.so*
	java-pkg_dojar "${WORKDIR}"/${PN}-${MY_PV}/usr/lib/*.jar
}

pkg_nofetch() {
	einfo "This files require you to register at ${HOMEPAGE} (free account)"
	einfo "Please download following file:"
	einfo " - ${NOVELL_FILE32}"
	einfo "from http://download.novell.com/Download?buildid=${NOVELL_BUILDID}"
	einfo "and place it in ${DISTDIR}"
	einfo ""
	einfo "To get rid of downloading files from ${HOMEPAGE}"
	einfo "you can create a file /etc/portage/novell.acc"
	einfo "containing the novell account infos with following commands"
	einfo "# echo \"NOVELL_ACCOUNT_USERNAME=\\\"balduin\\\"\" >> /etc/portage/novell.acc"
	einfo "# echo \"NOVELL_ACCOUNT_PASSWORD=\\\"derfisch\\\"\" >> /etc/portage/novell.acc"
}

