# Copyright 1999-2011 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $

EAPI="1"

NOVELL_BUILDID32="pnMbR9EB7wo~"
NOVELL_FILE32="patchfiles/edir8863.tar.gz"
NOVELL_BUILDID64="pnMbR9EB7wo~"
NOVELL_FILE64="patchfiles/edir8863.tar.gz"
RESTRICT="mirror strip"

inherit novell eutils rpm java-utils-2 versionator multilib

MY_PVV=$(replace_version_separator 3 '-')
MY_PV="${MY_PVV/_p/_}"

DESCRIPTION="Novell Public Key Infrastructure Services"
HOMEPAGE="http://www.novell.com"
SRC_URI="x86? ( http://${NOVELL_ACCOUNT_USERNAME}:${NOVELL_ACCOUNT_PASSWORD}@cdn.novell.com/prot/${NOVELL_BUILDID32}/${NOVELL_FILE32} )
	multilib? ( http://${NOVELL_ACCOUNT_USERNAME}:${NOVELL_ACCOUNT_PASSWORD}@cdn.novell.com/prot/${NOVELL_BUILDID32}/${NOVELL_FILE32} )
	amd64? ( http://${NOVELL_ACCOUNT_USERNAME}:${NOVELL_ACCOUNT_PASSWORD}@cdn.novell.com/prot/${NOVELL_BUILDID64}/${NOVELL_FILE64} )"

LICENSE="Novell-eDir-88"
SLOT="8.8"
KEYWORDS="~amd64 ~x86"
IUSE="multilib"

DEPEND="!app-crypt/novell-npkiapi:0
	!app-crypt/novell-npkiapi:8.7"

RDEPEND="virtual/libc
	>=virtual/jdk-1.4
	x86? ( sys-libs/lib-compat )
	amd64? ( app-emulation/emul-linux-x86-compat )
	>=app-crypt/novell-nici-2.7.3_p001
	app-crypt/novell-npkit:8.8
	net-nds/novell-nldapsdk:8.8
	net-nds/novell-ndsbase:8.8"

src_unpack() {
	cd "${WORKDIR}"
	unpack  ${A}
	mkdir -p "${WORKDIR}"/${PN}-${MY_PV}
	cd ${PN}-${MY_PV}
	if use x86
	then
	    narch=i386
	    nlib=lib
	    ndir=Linux
	    rpm_unpack ../work/edir8863/${ndir}/${PN}.${narch}.rpm
	elif use amd64
	then
	    narch=x86_64
	    nlib=lib64
	    ndir=Linux64
	    rpm_unpack ../work/edir8863/${ndir}/${PN}.${narch}.rpm
	fi
	if has_multilib_profile
	then
	    march=i386
	    mlib=lib
	    mdir=Linux
	    rpm_unpack ../work/edir8863/${mdir}/${PN}.${march}.rpm
	fi
}

src_compile() { :; }

src_install() {
	into /opt/novell
	dolib "${WORKDIR}"/${PN}-${MY_PV}/opt/novell/${nlib}/*
	if has_multilib_profile
	then
	    ABI="x86" dolib "${WORKDIR}"/${PN}-${MY_PV}/opt/novell/${mlib}/*.*
	fi
	into /usr
	java-pkg_jarinto /opt/novell/$(get_libdir)
	java-pkg_dojar "${WORKDIR}"/${PN}-${MY_PV}/opt/novell/${nlib}/*.jar
	if has_multilib_profile
	then
	    ABI="x86" dlib="$(get_libdir)"
	    java-pkg_jarinto /opt/novell/${dlib}
	    java-pkg_dojar "${WORKDIR}"/${PN}-${MY_PV}/opt/novell/${mlib}/*.jar
	fi
}

pkg_nofetch() {
	einfo "This files require you to register at ${HOMEPAGE} (free account)"
	einfo "Please download following file(s):"
	if use x86
	then
	    einfo " - ${NOVELL_FILE32}"
	    einfo "from http://download.novell.com/Download?buildid=${NOVELL_BUILDID32}"
	elif use amd64
	then
	    einfo " - ${NOVELL_FILE64}"
	    einfo "from http://download.novell.com/Download?buildid=${NOVELL_BUILDID64}"
	    if use multilib
	    then
		einfo " - ${NOVELL_FILE32}"
		einfo "from http://download.novell.com/Download?buildid=${NOVELL_BUILDID32}"
	    fi
	fi
	einfo "and place them in ${DISTDIR}"
	einfo ""
	einfo "To get rid of downloading files from ${HOMEPAGE}"
	einfo "you can create a file /etc/portage/novell.acc"
	einfo "containing the novell account infos with following commands"
	einfo "# echo \"NOVELL_ACCOUNT_USERNAME=\\\"balduin\\\"\" >> /etc/portage/novell.acc"
	einfo "# echo \"NOVELL_ACCOUNT_PASSWORD=\\\"derfisch\\\"\" >> /etc/portage/novell.acc"
}
