# Copyright 1999-2010 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $

EAPI="1"

NOVELL_BUILDID="LYlbZMAom6k~"
NOVELL_FILE32="patchfiles/ss206_SLAH.tgz"
RESTRICT="mirror strip"

inherit novell eutils rpm versionator multilib

MY_PVV=$(replace_version_separator 4 '-')
MY_PV="${MY_PVV/_p/_}"

DESCRIPTION="Novell Certificate Server"
HOMEPAGE="http://www.novell.com"
SRC_URI="http://${NOVELL_ACCOUNT_USERNAME}:${NOVELL_ACCOUNT_PASSWORD}@cdn.novell.com/prot/${NOVELL_BUILDID}/${NOVELL_FILE32}"

LICENSE="Novell-eDir-87"
SLOT="8.7"
KEYWORDS="~x86 ~amd64"
IUSE="linguas_fr linguas_ja linguas_zh"

DEPEND="!app-crypt/novell-pkiserver:0
	!app-crypt/novell-pkiserver:8.8"

RDEPEND="virtual/libc
	x86? ( sys-libs/lib-compat )
	amd64? ( app-emulation/emul-linux-x86-compat )
	>=app-crypt/novell-nici-2.7.3_p001
	net-nds/novell-nldapsdk:8.7
	net-nds/novell-ndsbase:8.7"

src_unpack() {
	unpack ${A}
	mkdir -p "${WORKDIR}"/${PN}-${MY_PV}
	cd ${PN}-${MY_PV}
	rpm_unpack "${WORKDIR}"/Linux/eDir87x/NOVLpkis-${MY_PV}.i386.rpm
}

src_compile() { :; }

src_install() {
	has_multilib_profile && ABI="x86"

	into /usr
	dosbin "${WORKDIR}"/${PN}-${MY_PV}/usr/sbin/*
	dosym . /usr/$(get_libdir)/nds-modules/$(get_libdir)
	into /usr/$(get_libdir)/nds-modules
	dolib.so "${WORKDIR}"/${PN}-${MY_PV}/usr/lib/nds-modules/*
	rm "${D}"/usr/$(get_libdir)/nds-modules/$(get_libdir)
	insinto /usr/lib/nds-schema
	doins "${WORKDIR}"/${PN}-${MY_PV}/usr/lib/nds-schema/*
	doman "${WORKDIR}"/${PN}-${MY_PV}/usr/man/*/*.*
	use linguas_fr && doman -i18n=fr_FR "${WORKDIR}"/${PN}-${MY_PV}/usr/man/fr_FR/*/*.*
	use linguas_ja && doman -i18n=ja "${WORKDIR}"/${PN}-${MY_PV}/usr/man/ja/*/*.*
	use linguas_ja && doman -i18n=ja_JP.eucJP "${WORKDIR}"/${PN}-${MY_PV}/usr/man/ja_JP.eucJP/*/*.*
	use linguas_zh && doman -i18n=zh_CN "${WORKDIR}"/${PN}-${MY_PV}/usr/man/zh_CN/*/*.*
	use linguas_zh && doman -i18n=zh_TW.Big5 "${WORKDIR}"/${PN}-${MY_PV}/usr/man/zh_TW.Big5/*/*.*
}

pkg_nofetch() {
	einfo "This files require you to register at ${HOMEPAGE} (free account)"
	einfo "Please download following file:"
	einfo " - ${NOVELL_FILE32}"
	einfo "from http://download.novell.com/Download?buildid=${NOVELL_BUILDID}"
	einfo "and place it in ${DISTDIR}"
	einfo ""
	einfo "To get rid of downloading files from ${HOMEPAGE}"
	einfo "you can create a file /etc/portage/novell.acc"
	einfo "containing the novell account infos with following commands"
	einfo "# echo \"NOVELL_ACCOUNT_USERNAME=\\\"balduin\\\"\" >> /etc/portage/novell.acc"
	einfo "# echo \"NOVELL_ACCOUNT_PASSWORD=\\\"derfisch\\\"\" >> /etc/portage/novell.acc"
}
