# Copyright 1999-2008 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $

EAPI=1

NOVELL_BUILDID="bldJIQnntfA~"
NOVELL_FILE32="novell-client-2.0-SP1-sle10sp2-i386.iso"
NOVELL_FILE64="novell-client-2.0-SP1-sle10sp2-x86_64.iso"
RESTRICT="mirror strip"

inherit novell eutils rpm qt3 kde multilib versionator

need-kde 3.5

MY_PVV=$(replace_version_separator 3 '-' $(replace_version_separator 2 '_') )
MY_PV="${MY_PVV/_/.b}"


DESCRIPTION="Novell Network Konqueror Plugin"
HOMEPAGE="http://www.novell.com"
SRC_URI="x86? ( http://${NOVELL_ACCOUNT_USERNAME}:${NOVELL_ACCOUNT_PASSWORD}@cdn.novell.com/prot/${NOVELL_BUILDID}/${NOVELL_FILE32} )
	amd64? ( http://${NOVELL_ACCOUNT_USERNAME}:${NOVELL_ACCOUNT_PASSWORD}@cdn.novell.com/prot/${NOVELL_BUILDID}/${NOVELL_FILE64} )"

LICENSE="Novell-NCL"
SLOT="0"
KEYWORDS="~x86 ~amd64"
IUSE="gtk linguas_cs_CZ linguas_de_DE linguas_da_DA linguas_en_US linguas_es_ES linguas_fi_FI linguas_fr_FR linguas_hu_HU linguas_it_IT linguas_ja_JP linguas_nb_NB linguas_pl_PL linguas_pt_BR linguas_ru_RU linguas_sk_SK linguas_zh_CN linguas_zh_TW"

DEPEND=">=app-arch/p7zip-4.15"

RDEPEND="virtual/libc
	virtual/fam
	x11-libs/qt:3
	>=dev-libs/expat-2.0
	>=kde-misc/novell-ui-base-2.0.0_p4
	>=media-libs/fontconfig-2.3.1
	>=media-libs/freetype-1.3.1
	>=media-libs/libart_lgpl-2.3.17
	>=media-libs/libpng-1.2.8
	>=net-dns/libidn-0.6.0
	>=sys-apps/acl-2.2.34
	>=sys-apps/attr-2.4.28
	>=sys-libs/novell-xplatlib-1.0.3_p31
	>=x11-libs/libICE-1.0
	>=x11-libs/libSM-1.0
	>=x11-libs/libX11-1.0
	>=x11-libs/libXcursor-1.1
	>=x11-libs/libXext-1.0
	>=x11-libs/libXft-2.0
	>=x11-libs/libXi-1.0
	>=x11-libs/libXinerama-1.0
	>=x11-libs/libXrandr-1.1
	>=x11-libs/libXrender-0.9
	>=sys-devel/gcc-4.1
	>=sys-libs/zlib-1.2.3
	>=kde-misc/kio_slp-0.4.1"

src_unpack() {
	cd "${WORKDIR}"
	if use x86
	then
	    narch=i586
	    nlib=lib
	    7z x "${DISTDIR}"/${NOVELL_FILE32}
	elif use amd64
	then
	    narch=x86_64
	    nlib=lib64
	    7z x "${DISTDIR}"/${NOVELL_FILE64}
	fi
	mkdir -p "${WORKDIR}"/${PN}-${MY_PV}
	cd ${PN}-${MY_PV}
	rpm_unpack "${WORKDIR}"/suse/${narch}/${PN}-${MY_PV}.${narch}.rpm
}

src_compile() { :; }

src_install() {
	for x in cs_CZ da_DA de_DE en_US es_ES fi_FI fr_FR hu_HU it_IT ja_JP nb_NB pl_PL pt_BR ru_RU sk_SK zh_CN zh_TW
	do
	    if use linguas_${x}
	    then
		cp "${WORKDIR}"/${PN}-${MY_PV}/usr/share/locale/${x}/LC_MESSAGES/${PN}.mo "${WORKDIR}"/${x}.mo
		domo "${WORKDIR}"/${x}.mo
	    fi
	done
	into ${KDEDIR}
	dolib.so "${WORKDIR}"/${PN}-${MY_PV}/opt/kde3/${nlib}/*
	exeinto ${KDEDIR}/$(get_libdir)/kde3
	doexe "${WORKDIR}"/${PN}-${MY_PV}/opt/kde3/${nlib}/kde3/*
	exeinto /opt/novell/ncl/bin/metascripts
	doexe "${WORKDIR}"/${PN}-${MY_PV}/opt/novell/ncl/bin/metascripts/nnn2*
	dosed "s%/opt/kde3%/usr%g" /opt/novell/ncl/bin/metascripts/nnn2netbrowse2
	insinto ${KDEDIR}/share/apps/konqueror/servicemenus
	doins "${WORKDIR}"/${PN}-${MY_PV}/opt/novell/ncl/bin/metascripts/NCL*.desktop
	insinto ${KDEDIR}/share/apps/konqsidebartng/entries
	doins "${WORKDIR}"/${PN}-${MY_PV}/opt/novell/ncl/bin/metascripts/nnn.desktop
	insinto ${KDEDIR}/share
	doins -r "${WORKDIR}"/${PN}-${MY_PV}/opt/kde3/share/*
	dosym ..${KDEDIR} /opt/kde3
	dodoc "${WORKDIR}"/${PN}-${MY_PV}/usr/share/doc/packages/${PN}/*
	if use x86
	then
	    doenvd "${FILESDIR}"/80novell-client
	elif use amd64
	then
	    doenvd "${FILESDIR}"/80novell-client64
	fi
}

pkg_nofetch() {
	einfo "This files require you to register at ${HOMEPAGE} (free account)"
	einfo "Please download following file:"
	if use x86
	then
	    einfo " - ${NOVELL_FILE32}"
	elif use amd64
	then
	    einfo " - ${NOVELL_FILE64}"
	fi
	einfo "from http://download.novell.com/Download?buildid=${NOVELL_BUILDID}"
	einfo "and place it in ${DISTDIR}"
	einfo ""
	einfo "To get rid of downloading files from ${HOMEPAGE}"
	einfo "you can create a file /etc/portage/novell.acc"
	einfo "containing the novell account infos with following commands"
	einfo "# echo \"NOVELL_ACCOUNT_USERNAME=\\\"balduin\\\"\" >> /etc/portage/novell.acc"
	einfo "# echo \"NOVELL_ACCOUNT_PASSWORD=\\\"derfisch\\\"\" >> /etc/portage/novell.acc"
}
