# Copyright 1999-2009 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $

EAPI=1

NOVELL_BUILDID="_xf1ppPR2xA~"
NOVELL_FILE32="novell-client-3.0-sled11-i586-CD1.iso"
NOVELL_FILE64="novell-client-3.0-sled11-x86_64-CD1.iso"
RESTRICT="mirror strip"

inherit novell eutils rpm5 qt4 versionator

MY_PVV=$(replace_version_separator 3 '-' $(replace_version_separator 2 '_') )
MY_PV="${MY_PVV/_/.}"

DESCRIPTION="Novell Client UI Base"
HOMEPAGE="http://www.novell.com"
SRC_URI="x86? ( http://${NOVELL_ACCOUNT_USERNAME}:${NOVELL_ACCOUNT_PASSWORD}@cdn.novell.com/prot/${NOVELL_BUILDID}/${NOVELL_FILE32} )
	amd64? ( http://${NOVELL_ACCOUNT_USERNAME}:${NOVELL_ACCOUNT_PASSWORD}@cdn.novell.com/prot/${NOVELL_BUILDID}/${NOVELL_FILE64} )"

LICENSE="Novell-NCL"
SLOT="0"
KEYWORDS="~x86 ~amd64"
#IUSE="linguas_cs linguas_de linguas_da linguas_en linguas_es linguas_fi linguas_fr linguas_hu linguas_it linguas_ja linguas_nb linguas_pl linguas_pt linguas_ru linguas_sk linguas_zh"
IUSE=""

DEPEND=">=app-arch/p7zip-4.15"

RDEPEND="virtual/libc
	virtual/fam
	net-misc/novell-client-env
	x11-libs/qt:3
	>=net-fs/novell-novfsd-3.0.0.14
	>=dev-libs/expat-2.0
	>=net-nds/openldap-2.4
	>=dev-libs/openssl-0.9.8f
	>=net-libs/openslp-1.2.1
	>=kde-misc/novell-ui-base-3.0.0.2
	>=kde-base/kdelibs-3.5.1
	>=media-libs/fontconfig-2.3.1
	>=media-libs/freetype-1.3.1
	>=media-libs/libart_lgpl-2.3.17
	>=media-libs/libpng-1.2.8
	>=net-dns/libidn-0.6.0
	>=sys-apps/acl-2.2.34
	>=sys-apps/attr-2.4.28
	>=sys-libs/pam-0.99.3
	>=sys-libs/novell-xplatlib-1.0.3.39
	>=x11-libs/libICE-1.0
	>=x11-libs/libSM-1.0
	>=x11-libs/libX11-1.0
	>=x11-libs/libXcursor-1.1
	>=x11-libs/libXext-1.0
	>=x11-libs/libXft-2.0
	>=x11-libs/libXi-1.0
	>=x11-libs/libXinerama-1.0
	>=x11-libs/libXrandr-1.1
	>=x11-libs/libXrender-0.9
	>=x11-libs/libXau-1.0
	>=x11-libs/libxcb-1.0
	>=sys-devel/gcc-4.2
	>=sys-libs/zlib-1.2.3"

src_unpack() {
	cd "${WORKDIR}"
	if use x86
	then
	    narch=i586
	    nlib=lib
	    7z x "${DISTDIR}"/${NOVELL_FILE32}
	elif use amd64
	then
	    narch=x86_64
	    nlib=lib64
	    7z x "${DISTDIR}"/${NOVELL_FILE64}
	fi
	mkdir -p "${WORKDIR}"/${PN}-${MY_PV}
	cd ${PN}-${MY_PV}
	rpm5_unpack "${WORKDIR}"/suse/${narch}/${PN}-${MY_PV}.${narch}.rpm
}

src_compile() { :; }

src_install() {
	if has_version ">=x11-libs/libxcb-1.2"; then
	    ewarn "this binary package has been build for xcb <=1.1.90.1"
	    ewarn " the binary patch only works with the command line tools"
	    for f in $(<${FILESDIR}/xcb-xlib-fix-list-3.0-${nlib}) ; do
		einfo "binary patch ${f}"
		sed -i 's/libxcb-xlib/libxcb-sync/g' "${WORKDIR}"/${PN}-${MY_PV}/${f}
	    done
	fi
	
#	for x in cs de da en es fi fr hu it ja nb pl pt ru sk zh
#	do
#	    if use linguas_${x}
#	    then
#		cp "${WORKDIR}"/${PN}-${MY_PV}/usr/share/locale/${x}*/LC_MESSAGES/${PN}.mo "${WORKDIR}"/${x}.mo
#		domo "${WORKDIR}"/${x}.mo
#	    fi
#	done
	into /opt/novell
	dolib.so "${WORKDIR}"/${PN}-${MY_PV}/opt/novell/${nlib}/*
	into /opt/novell/ncl
	dobin "${WORKDIR}"/${PN}-${MY_PV}/opt/novell/ncl/bin/*
	exeinto /opt/novell/ncl/bin/lscript
	doexe "${WORKDIR}"/${PN}-${MY_PV}/opt/novell/ncl/bin/lscript/*
	doman "${WORKDIR}"/${PN}-${MY_PV}/opt/novell/man/*/*
	dodoc "${WORKDIR}"/${PN}-${MY_PV}/usr/share/doc/packages/${PN}/*
}

pkg_nofetch() {
	einfo "This files require you to register at ${HOMEPAGE} (free account)"
	einfo "Please download following file:"
	if use x86
	then
	    einfo " - ${NOVELL_FILE32}"
	elif use amd64
	then
	    einfo " - ${NOVELL_FILE64}"
	fi
	einfo "from http://download.novell.com/Download?buildid=${NOVELL_BUILDID}"
	einfo "and place it in ${DISTDIR}"
	einfo ""
	einfo "To get rid of downloading files from ${HOMEPAGE}"
	einfo "you can create a file /etc/portage/novell.acc"
	einfo "containing the novell account infos with following commands"
	einfo "# echo \"NOVELL_ACCOUNT_USERNAME=\\\"balduin\\\"\" >> /etc/portage/novell.acc"
	einfo "# echo \"NOVELL_ACCOUNT_PASSWORD=\\\"derfisch\\\"\" >> /etc/portage/novell.acc"
}
