# Copyright 1999-2010 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $

NOVELL_BUILDID="6Dvlz12hewI~"
NOVELL_FILE32="novell-client-2.0-sp2-patch2-sle11-i586.iso"
NOVELL_FILE64="novell-client-2.0-sp2-patch2-sle11-x86_64.iso"
RESTRICT="mirror strip"

inherit novell eutils rpm5 qt4 versionator

MY_PVV=$(replace_version_separator 3 '-' $(replace_version_separator 2 '_') )
MY_PV="${MY_PVV/_/.}"

DESCRIPTION="Novell Client UI Base"
HOMEPAGE="http://www.novell.com"
SRC_URI="x86? ( http://${NOVELL_ACCOUNT_USERNAME}:${NOVELL_ACCOUNT_PASSWORD}@cdn.novell.com/prot/${NOVELL_BUILDID}/${NOVELL_FILE32} )
	amd64? ( http://${NOVELL_ACCOUNT_USERNAME}:${NOVELL_ACCOUNT_PASSWORD}@cdn.novell.com/prot/${NOVELL_BUILDID}/${NOVELL_FILE64} )"

LICENSE="Novell-NCL"
SLOT="0"
KEYWORDS="~x86 ~amd64"
IUSE="linguas_cs linguas_da linguas_de linguas_en linguas_es linguas_fi linguas_fr linguas_hu linguas_it linguas_ja linguas_nb linguas_pl linguas_pt linguas_ru linguas_sk linguas_zh"

DEPEND=">=app-arch/p7zip-4.15"

RDEPEND="virtual/libc
	net-nds/novell-env
	>=sys-devel/gcc-4.1
	net-libs/openslp
	>=sys-libs/novell-xplatlib-1.0.3"

src_unpack() {
	cd "${WORKDIR}"
	if use x86
	then
	    narch=i586
	    nlib=lib
	    7z x "${DISTDIR}"/${NOVELL_FILE32}
	elif use amd64
	then
	    narch=x86_64
	    nlib=lib64
	    7z x "${DISTDIR}"/${NOVELL_FILE64}
	fi
	mkdir -p "${WORKDIR}"/${PN}-${MY_PV}
	cd ${PN}-${MY_PV}
	rpm5_unpack "${WORKDIR}"/suse/${narch}/${PN}-${MY_PV}.${narch}.rpm
}

src_compile() { :; }

src_install() {
	for x in cs da de en es fi fr hu it ja nb pl pt ru sk zh
	do
	    if use linguas_${x}
	    then
		cp "${WORKDIR}"/${PN}-${MY_PV}/usr/share/locale/${x}*/LC_MESSAGES/${PN}.mo "${WORKDIR}"/${x}.mo
		domo "${WORKDIR}"/${x}.mo
	    fi
	done
	into /opt/novell
	dolib.so "${WORKDIR}"/${PN}-${MY_PV}/opt/novell/${nlib}/*
#	dodoc "${WORKDIR}"/${PN}-${MY_PV}/usr/share/doc/packages/${PN}/*
}

pkg_nofetch() {
	einfo "This files require you to register at ${HOMEPAGE} (free account)"
	einfo "Please download following file:"
	if use x86
	then
	    einfo " - ${NOVELL_FILE32}"
	elif use amd64
	then
	    einfo " - ${NOVELL_FILE64}"
	fi
	einfo "from http://download.novell.com/Download?buildid=${NOVELL_BUILDID}"
	einfo "and place it in ${DISTDIR}"
	einfo ""
	einfo "To get rid of downloading files from ${HOMEPAGE}"
	einfo "you can create a file /etc/portage/novell.acc"
	einfo "containing the novell account infos with following commands"
	einfo "# echo \"NOVELL_ACCOUNT_USERNAME=\\\"balduin\\\"\" >> /etc/portage/novell.acc"
	einfo "# echo \"NOVELL_ACCOUNT_PASSWORD=\\\"derfisch\\\"\" >> /etc/portage/novell.acc"
}
