
# add novfs registry entries
einfo "add novfsd registry"
# set sane defaults
EnableSLP=1
EnableNMAS=1

# check slp Support
if [ -f /etc/opt/novell/ncl/protocol.conf ]; then
    cat /etc/opt/novell/ncl/protocol.conf |grep Name_Resolution_Providers 2>&1 >/dev/null
    if [ $? -eq 0 ]; then
	cat /etc/opt/novell/ncl/protocol.conf |grep SLP 2>&1 >/dev/null
            if [ $? -ne 0 ]; then
                EnableSLP=0
            fi
    fi
fi

# check nmas Support
if [ -f /etc/opt/novell/ncl/login.conf ]; then
    cat /etc/opt/novell/ncl/login.conf |grep "NMAS_Authentication=false" 2>&1 >/dev/null
    if [ $? -eq 0 ]; then
        EnableNMAS=0
    fi
fi

# enable xtier slp name resolution
if [ $EnableSLP -eq 1 ]; then
    einfo "enable SLP"
    /opt/novell/xtier/bin/regutil -v "\client\policies\network\ip\address resolution providers\configured" "9" REG_SZ "{A18C57F8-17DA-11d1-8FFF-00A0C925D248}"
    eend $?
fi

# enable xtier NMAS support
if [ $EnableNMAS -eq 1 ]; then
    einfo "enable NMAS"
    /opt/novell/xtier/bin/regutil -v "\Client\Policies" "Default Authentication Provider" REG_SZ "{FCB72681-D373-11d3-BC08-00A0C9EA53EF}"
    eend $?
fi
