# Copyright 1999-2009 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $

EAPI="1"

NOVELL_BUILDID="-a_gSRIUOK0~"
NOVELL_FILE32="c1_136h-linux.tar.gz"
RESTRICT="mirror strip"

inherit novell eutils rpm versionator

MY_PV=$(replace_version_separator 3 '-')

DESCRIPTION="Novell Service Location Protokol"
HOMEPAGE="http://www.novell.com"
SRC_URI="http://${NOVELL_ACCOUNT_USERNAME}:${NOVELL_ACCOUNT_PASSWORD}@cdn.novell.com/prot/${NOVELL_BUILDID}/${NOVELL_FILE32}"
LICENSE="Novell-eDir-87"
SLOT="8.7"
KEYWORDS="~x86 ~amd64"
IUSE="linguas_fr"

DEPEND="!net-libs/novell-ndsslp:0
	!net-libs/novell-ndsslp:8.8"

RDEPEND="virtual/libc"

src_unpack() {
	unpack ${A}
	mkdir -p "${WORKDIR}"/${PN}-${MY_PV}
	cd ${PN}-${MY_PV}
	rpm_unpack ../work/Linux/NDSslp-${MY_PV}.i386.rpm
}

src_compile() { :; }

src_install() {
	has_multilib_profile && ABI="x86"

	insinto /etc
	doins "${WORKDIR}"/${PN}-${MY_PV}/etc/*.conf
	into /usr
	dobin "${WORKDIR}"/${PN}-${MY_PV}/usr/bin/*
	dolib "${WORKDIR}"/${PN}-${MY_PV}/usr/lib/*
	doman "${WORKDIR}"/${PN}-${MY_PV}/usr/man/*/*.gz
	use linguas_fr && doman -i18n=fr "${WORKDIR}"/${PN}-${MY_PV}/usr/man/fr/*/*.gz
	insinto /usr/share/nwlocale
	doins "${WORKDIR}"/${PN}-${MY_PV}/usr/share/nwlocale/*

	newinitd "${FILESDIR}"/slpuasa87.initd slpuasa
}

pkg_nofetch() {
	einfo "This files require you to register at ${HOMEPAGE} (free account)"
	einfo "Please download following file:"
	einfo " - ${NOVELL_FILE32}"
	einfo "from http://download.novell.com/Download?buildid=${NOVELL_BUILDID}"
	einfo "and place it in ${DISTDIR}"
	einfo ""
	einfo "To get rid of downloading files from ${HOMEPAGE}"
	einfo "you can create a file /etc/portage/novell.acc"
	einfo "containing the novell account infos with following commands"
	einfo "# echo \"NOVELL_ACCOUNT_USERNAME=\\\"balduin\\\"\" >> /etc/portage/novell.acc"
	einfo "# echo \"NOVELL_ACCOUNT_PASSWORD=\\\"derfisch\\\"\" >> /etc/portage/novell.acc"
}
