# Copyright 1999-2009 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $

NOVELL_BUILDID="_xf1ppPR2xA~"
NOVELL_FILE32="novell-client-3.0-sled11-i586-CD1.iso"
NOVELL_FILE64="novell-client-3.0-sled11-x86_64-CD1.iso"
RESTRICT="mirror strip"

inherit novell eutils rpm5 versionator

MY_PV=$(replace_version_separator 3 '-')

DESCRIPTION="Novell Client for Linux Configuration"
HOMEPAGE="http://www.novell.com"
SRC_URI="x86? ( http://${NOVELL_ACCOUNT_USERNAME}:${NOVELL_ACCOUNT_PASSWORD}@cdn.novell.com/prot/${NOVELL_BUILDID}/${NOVELL_FILE32} )
	amd64? ( http://${NOVELL_ACCOUNT_USERNAME}:${NOVELL_ACCOUNT_PASSWORD}@cdn.novell.com/prot/${NOVELL_BUILDID}/${NOVELL_FILE64} )"

LICENSE="Novell-NCL"
SLOT="0"
KEYWORDS="~x86 ~amd64"
IUSE=""

DEPEND=">=app-arch/p7zip-4.15"

RDEPEND="virtual/libc
	net-misc/novell-client-env
	>=app-crypt/novell-nici-2.7.3_p12
	>=net-misc/novell-client-script-2.0.0_p24
	>=net-nds/novell-xtier-base-3.1.5_p46"

src_unpack() {
	cd "${WORKDIR}"
	if use x86
	then
	    narch=i586
	    nlib=lib
	    7z x "${DISTDIR}"/${NOVELL_FILE32}
	elif use amd64
	then
	    narch=x86_64
	    nlib=lib64
	    7z x "${DISTDIR}"/${NOVELL_FILE64}
	fi
	mkdir -p "${WORKDIR}"/${PN}-${MY_PV}
	cd ${PN}-${MY_PV}
	rpm5_unpack "${WORKDIR}"/suse/${narch}/yast2-novell-client-${MY_PV}.${narch}.rpm
}

src_compile() { :; }

src_install() {
	insinto /etc/opt/novell/ncl
	doins "${FILESDIR}"/*.conf
	into /opt/novell/ncl
	dobin "${WORKDIR}"/${PN}-${MY_PV}/opt/novell/ncl/bin/ncl_conf_xtier
	insinto /usr/share
	doins -r "${WORKDIR}"/${PN}-${MY_PV}/opt/novell/ncl/share/*
	dodir /var/opt/novell/log/ncl
	keepdir /var/opt/novell/log/ncl
}

pkg_postinst(){
	/opt/novell/ncl/bin/ncl_conf_xtier rpm
	einfo "Please run /opt/novell/ncl/bin/ncl_conf_xtier to import the config defaults"
	einfo " from /etc/opt/novell/ncl/*.conf into the xtier registry Server"
}

pkg_nofetch() {
	einfo "This files require you to register at ${HOMEPAGE} (free account)"
	einfo "Please download following file:"
	if use x86
	then
	    einfo " - ${NOVELL_FILE32}"
	elif use amd64
	then
	    einfo " - ${NOVELL_FILE64}"
	fi
	einfo "from http://download.novell.com/Download?buildid=${NOVELL_BUILDID}"
	einfo "and place it in ${DISTDIR}"
	einfo ""
	einfo "To get rid of downloading files from ${HOMEPAGE}"
	einfo "you can create a file /etc/portage/novell.acc"
	einfo "containing the novell account infos with following commands"
	einfo "# echo \"NOVELL_ACCOUNT_USERNAME=\\\"balduin\\\"\" >> /etc/portage/novell.acc"
	einfo "# echo \"NOVELL_ACCOUNT_PASSWORD=\\\"derfisch\\\"\" >> /etc/portage/novell.acc"
}
