# Copyright 1999-2010 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $

NOVELL_BUILDID="6Dvlz12hewI~"
NOVELL_FILE32="novell-client-2.0-sp2-patch2-sle11-i586.iso"
NOVELL_FILE64="novell-client-2.0-sp2-patch2-sle11-x86_64.iso"
RESTRICT="mirror strip"

inherit novell eutils rpm5 versionator

MY_PV=$(replace_version_separator 3 '-')

DESCRIPTION="Novell Modules for Login Script Procssing"
HOMEPAGE="http://www.novell.com"
SRC_URI="x86? ( http://${NOVELL_ACCOUNT_USERNAME}:${NOVELL_ACCOUNT_PASSWORD}@cdn.novell.com/prot/${NOVELL_BUILDID}/patchfiles/${NOVELL_FILE32} )
	amd64? ( http://${NOVELL_ACCOUNT_USERNAME}:${NOVELL_ACCOUNT_PASSWORD}@cdn.novell.com/prot/${NOVELL_BUILDID}/patchfiles/${NOVELL_FILE64} )"

LICENSE="Novell-NCL"
SLOT="0"
KEYWORDS="~x86 ~amd64"
IUSE=""

DEPEND=">=app-arch/p7zip-4.15"

RDEPEND="virtual/libc
	net-misc/novell-client-env
	>=sys-libs/pam-0.99.3
	>=app-crypt/novell-nici-2.7.3_p12
	>=net-misc/novell-client-script-2.0.0_p24
	>=net-misc/novell-client-config-2.0.0_p14
	>=sys-auth/novell-nmasclient-3.4.0_p17
	>=net-fs/novell-novfs-2.0.0_p23
	>=net-fs/novell-novfsd-2.0.0_p29
	>=kde-misc/novell-qtgui-2.0.0_p9
	>=kde-misc/novell-ui-base-2.0.0_p4
	>=sys-libs/novell-xplatlib-1.0.3_p31
	>=net-nds/novell-xtier-base-3.1.5_p46"

src_unpack() {
	cd "${WORKDIR}"
	if use x86
	then
	    narch=i586
	    nlib=lib
	    7z x "${DISTDIR}"/${NOVELL_FILE32}
	elif use amd64
	then
	    narch=x86_64
	    nlib=lib64
	    7z x "${DISTDIR}"/${NOVELL_FILE64}
	fi
	mkdir -p "${WORKDIR}"/${PN}-${MY_PV}
	cd ${PN}-${MY_PV}
	rpm5_unpack "${WORKDIR}"/suse/${narch}/${PN}-${MY_PV}.${narch}.rpm
}

src_compile() { :; }

src_install() {
	into /opt/novell/ncl
	dobin "${WORKDIR}"/${PN}-${MY_PV}/opt/novell/ncl/bin/*
	doman "${WORKDIR}"/${PN}-${MY_PV}/opt/novell/man/*/*
	dodoc "${WORKDIR}"/${PN}-${MY_PV}/usr/share/doc/packages/${PN}/*
}

pkg_nofetch() {
	einfo "This files require you to register at ${HOMEPAGE} (free account)"
	einfo "Please download following file:"
	if use x86
	then
	    einfo " - ${NOVELL_FILE32}"
	elif use amd64
	then
	    einfo " - ${NOVELL_FILE64}"
	fi
	einfo "from http://download.novell.com/Download?buildid=${NOVELL_BUILDID}"
	einfo "and place it in ${DISTDIR}"
	einfo ""
	einfo "To get rid of downloading files from ${HOMEPAGE}"
	einfo "you can create a file /etc/portage/novell.acc"
	einfo "containing the novell account infos with following commands"
	einfo "# echo \"NOVELL_ACCOUNT_USERNAME=\\\"balduin\\\"\" >> /etc/portage/novell.acc"
	einfo "# echo \"NOVELL_ACCOUNT_PASSWORD=\\\"derfisch\\\"\" >> /etc/portage/novell.acc"
}
