# Copyright 1999-2011 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $

EAPI="1"

NOVELL_BUILDID32="pnMbR9EB7wo~"
NOVELL_FILE32="patchfiles/edir8863.tar.gz"
NOVELL_BUILDID64="pnMbR9EB7wo~"
NOVELL_FILE64="patchfiles/edir8863.tar.gz"
RESTRICT="mirror strip"

inherit novell eutils rpm java-utils-2 multilib versionator

MY_PV=$(replace_version_separator 3 '-')

DESCRIPTION="Novell Directory User Agent"
HOMEPAGE="http://www.novell.com"
SRC_URI="x86? ( http://${NOVELL_ACCOUNT_USERNAME}:${NOVELL_ACCOUNT_PASSWORD}@cdn.novell.com/prot/${NOVELL_BUILDID32}/${NOVELL_FILE32} )
	multilib? ( http://${NOVELL_ACCOUNT_USERNAME}:${NOVELL_ACCOUNT_PASSWORD}@cdn.novell.com/prot/${NOVELL_BUILDID32}/${NOVELL_FILE32} )
	amd64? ( http://${NOVELL_ACCOUNT_USERNAME}:${NOVELL_ACCOUNT_PASSWORD}@cdn.novell.com/prot/${NOVELL_BUILDID64}/${NOVELL_FILE64} )"

LICENSE="Novell-eDir-88"
SLOT="8.8"
KEYWORDS="~x86 ~amd64"
IUSE="linguas_fr linguas_ja unicode multilib"

DEPEND="!net-nds/novell-ndsbase:0
	!net-nds/novell-ndsbase:8.7"

RDEPEND="virtual/libc
	>=virtual/jdk-1.4
	>=app-crypt/novell-nici-2.6.4_p005
	net-nds/novell-edir-env"

src_unpack() {
	cd "${WORKDIR}"
	unpack  ${A}
	if use x86
	then
	    narch=i586
	    nlib=lib
	    ndir=Linux
	elif use amd64
	then
	    narch=x86_64
	    nlib=lib64
	    ndir=Linux64
	fi
	mkdir -p "${WORKDIR}"/${PN}-${MY_PV}
	cd ${PN}-${MY_PV}
	if has_multilib_profile
	then
	    march=i586
	    mlib=lib
	    mdir=Linux
	    rpm_unpack ../work/edir8863/${mdir}/novell-NDSbase.${march}.rpm
	fi
	rpm_unpack ../work/edir8863/${ndir}/novell-NDSbase.${narch}.rpm
}

src_compile() { :; }

src_install() {
	into /opt/novell/eDirectory
	for x in fr ja
	do
	    if use linguas_${x}
	    then
		insinto /opt/novell/eDirectory/share/locale/${x}/LC_MESSAGES/
		doins "${WORKDIR}"/${PN}-${MY_PV}/opt/novell/eDirectory/share/locale/${x}_*/LC_MESSAGES/*.mo
	    fi
	done
	use unicode && insinto /opt/novell/eDirectory/share/locale/fr_FR.UTF-8/LC_MESSAGES/
	use unicode && doins "${WORKDIR}"/${PN}-${MY_PV}/opt/novell/eDirectory/share/locale/fr_FR.UTF-8/LC_MESSAGES/*.mo
	dobin "${WORKDIR}"/${PN}-${MY_PV}/opt/novell/eDirectory/bin/*
	dolib "${WORKDIR}"/${PN}-${MY_PV}/opt/novell/eDirectory/${nlib}/*.so*
	if has_multilib_profile
	then
	    ABI="x86" dolib "${WORKDIR}"/${PN}-${MY_PV}/opt/novell/eDirectory/${mlib}/*.so*
	fi
	into /usr
	java-pkg_jarinto /opt/novell/eDirectory/$(get_libdir)
	java-pkg_dojar "${WORKDIR}"/${PN}-${MY_PV}/opt/novell/eDirectory/${nlib}/*.jar
	if has_multilib_profile
	then
	    ABI="x86" dlib="$(get_libdir)"
	    java-pkg_jarinto /opt/novell/eDirectory/${dlib}
	    java-pkg_dojar "${WORKDIR}"/${PN}-${MY_PV}/opt/novell/eDirectory/${mlib}/*.jar
	fi
	doman "${WORKDIR}"/${PN}-${MY_PV}/opt/novell/man/*/*.gz
	use linguas_fr && doman -i18n=fr "${WORKDIR}"/${PN}-${MY_PV}/opt/novell/man/fr/*/*.gz
	use linguas_ja && doman -i18n=ja "${WORKDIR}"/${PN}-${MY_PV}/opt/novell/man/ja/*/*.gz
	keepdir /etc/opt/novell/eDirectory/conf
}

pkg_nofetch() {
	einfo "This files require you to register at ${HOMEPAGE} (free account)"
	einfo "Please download following file(s):"
	if use x86
	then
	    einfo " - ${NOVELL_FILE32}"
	    einfo "from http://download.novell.com/Download?buildid=${NOVELL_BUILDID32}"
	elif use amd64
	then
	    einfo " - ${NOVELL_FILE64}"
	    einfo "from http://download.novell.com/Download?buildid=${NOVELL_BUILDID64}"
	    if use multilib
	    then
		einfo " - ${NOVELL_FILE32}"
		einfo "from http://download.novell.com/Download?buildid=${NOVELL_BUILDID32}"
	    fi
	fi
	einfo "and place them in ${DISTDIR}"
	einfo ""
	einfo "To get rid of downloading files from ${HOMEPAGE}"
	einfo "you can create a file /etc/portage/novell.acc"
	einfo "containing the novell account infos with following commands"
	einfo "# echo \"NOVELL_ACCOUNT_USERNAME=\\\"balduin\\\"\" >> /etc/portage/novell.acc"
	einfo "# echo \"NOVELL_ACCOUNT_PASSWORD=\\\"derfisch\\\"\" >> /etc/portage/novell.acc"
}
