# Copyright 1999-2011 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $

EAPI="1"

NOVELL_BUILDID32="pnMbR9EB7wo~"
NOVELL_FILE32="patchfiles/edir8863.tar.gz"
NOVELL_BUILDID64="pnMbR9EB7wo~"
NOVELL_FILE64="patchfiles/edir8863.tar.gz"
RESTRICT="mirror strip"

inherit novell eutils rpm multilib versionator

MY_PV=$(replace_version_separator 3 '-')

DESCRIPTION="Novell NDS Server and DS Utilities"
HOMEPAGE="http://www.novell.com"
SRC_URI="x86? ( http://${NOVELL_ACCOUNT_USERNAME}:${NOVELL_ACCOUNT_PASSWORD}@cdn.novell.com/prot/${NOVELL_BUILDID}/${NOVELL_FILE32} )
        amd64? ( http://${NOVELL_ACCOUNT_USERNAME}:${NOVELL_ACCOUNT_PASSWORD}@cdn.novell.com/prot/${NOVELL_BUILDID}/${NOVELL_FILE64} )"

LICENSE="Novell-eDir-88"
SLOT="8.8"
KEYWORDS="~x86 ~amd64"
IUSE="linguas_fr linguas_ja"

DEPEND="!net-nds/novell-ndsserv:0
	!net-nds/novell-ndsserv:8.7"

RDEPEND="virtual/libc
	net-misc/novell-ncpenc:8.8
	net-nds/novell-ndsbase:8.8
	net-nds/novell-ndscommon:8.8
	net-nds/novell-ndsmasv:8.8
	net-nds/novell-nldapsdk:8.8
	app-crypt/novell-npkiapi:8.8
	app-crypt/novell-npkit:8.8
	sys-auth/novell-nmas:8.8"

src_unpack() {
        cd "${WORKDIR}"
        unpack ${A}    
        if use x86     
        then           
            narch=i586 
            nlib=lib   
            ndir=Linux
        elif use amd64 
        then           
            narch=x86_64
            nlib=lib64  
            ndir=Linux64
        fi              
        mkdir -p "${WORKDIR}"/${PN}-${MY_PV}
        cd ${PN}-${MY_PV}                   
        rpm_unpack ../work/edir8863/${ndir}/novell-NDSserv.${narch}.rpm
}                                                                        

src_compile() { :; }

src_install() {
	into /opt/novell/eDirectory/
	dobin "${WORKDIR}"/${PN}-${MY_PV}/opt/novell/eDirectory/bin/*
	dosbin "${WORKDIR}"/${PN}-${MY_PV}/opt/novell/eDirectory/sbin/ndsd
	dosbin "${WORKDIR}"/${PN}-${MY_PV}/opt/novell/eDirectory/sbin/nldap
	dolib.so "${WORKDIR}"/${PN}-${MY_PV}/opt/novell/eDirectory/${nlib}/*.*

        dosym . /opt/novell/eDirectory/$(get_libdir)/nds-modules/$(get_libdir)
        into /opt/novell/eDirectory/$(get_libdir)/nds-modules
        dolib.so "${WORKDIR}"/${PN}-${MY_PV}/opt/novell/eDirectory/${nlib}/nds-modules/*.*
        rm "${D}"/opt/novell/eDirectory/$(get_libdir)/nds-modules/$(get_libdir)
        insinto /opt/novell/eDirectory/$(get_libdir)/nds-schema
        doins "${WORKDIR}"/${PN}-${MY_PV}/opt/novell/eDirectory/${nlib}/nds-schema/*
        insinto /opt/novell/eDirectory/res
        doins "${WORKDIR}"/${PN}-${MY_PV}/opt/novell/eDirectory/res/*

	insinto /etc/opt/novell/eDirectory/conf
	doins "${WORKDIR}"/${PN}-${MY_PV}/etc/opt/novell/eDirectory/conf/*.*

	keepdir /opt/novell/eDirectory/$(get_libdir)/nds-install
	insinto /opt/novell/eDirectory/$(get_libdir)/nds-modules/nds-http/iconsole
	doins "${WORKDIR}"/${PN}-${MY_PV}/opt/novell/eDirectory/${nlib}/nds-modules/nds-http/iconsole/*.css
	insinto /opt/novell/eDirectory/$(get_libdir)/nds-modules/nds-http/iconsole/images
	doins "${WORKDIR}"/${PN}-${MY_PV}/opt/novell/eDirectory/${nlib}/nds-modules/nds-http/iconsole/images/*.gif
	doman "${WORKDIR}"/${PN}-${MY_PV}/opt/novell/man/*/*.gz
	use linguas_fr && doman -i18n=fr "${WORKDIR}"/${PN}-${MY_PV}/opt/novell/man/fr/*/*.gz
	use linguas_ja && doman -i18n=ja "${WORKDIR}"/${PN}-${MY_PV}/opt/novell/man/ja/*/*.gz

	newconfd "${FILESDIR}"/ndsd88.confd ndsd
	newinitd "${FILESDIR}"/ndsd88.initd ndsd
	newinitd "${FILESDIR}"/nldap88.initd nldapd
	# add fake nldap bash script for compatibility
	newinitd "${FILESDIR}"/nldap.initd nldap
}

#pkg_postinst(){
#	/usr/bin/ether
#}

pkg_nofetch() {
	einfo "This files require you to register at ${HOMEPAGE} (free account)"
	einfo "Please download following file:"
	einfo " - ${NOVELL_FILE32}"
	einfo "from http://download.novell.com/Download?buildid=${NOVELL_BUILDID}"
	einfo "and place it in ${DISTDIR}"
	einfo ""
	einfo "To get rid of downloading files from ${HOMEPAGE}"
	einfo "you can create a file /etc/portage/novell.acc"
	einfo "containing the novell account infos with following commands"
	einfo "# echo \"NOVELL_ACCOUNT_USERNAME=\\\"balduin\\\"\" >> /etc/portage/novell.acc"
	einfo "# echo \"NOVELL_ACCOUNT_PASSWORD=\\\"derfisch\\\"\" >> /etc/portage/novell.acc"
}
