# Copyright 1999-2010 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $

EAPI="2"

NOVELL_BUILDID="hfY7O6iIdqw~"
NOVELL_FILE32="patchfiles/edir87310_ftf2.tar.gz"
RESTRICT="mirror strip"

inherit novell eutils rpm multilib versionator

MY_PV=$(replace_version_separator 4 '-')

DESCRIPTION="Novell LDAP Tools and Libraries"
HOMEPAGE="http://www.novell.com"
SRC_URI="http://${NOVELL_ACCOUNT_USERNAME}:${NOVELL_ACCOUNT_PASSWORD}@cdn.novell.com/prot/${NOVELL_BUILDID}/${NOVELL_FILE32}"

LICENSE="Novell-eDir-87"
SLOT="8.7"
KEYWORDS="~x86 ~amd64"
IUSE="linguas_fr"

DEPEND="!net-nds/novell-nldapbase:0
	!net-nds/novell-nldapbase:8.8"

RDEPEND="virtual/libc
	net-nds/novell-nldapsdk:8.7"

src_unpack() {
	unpack ${A}
	mkdir -p "${WORKDIR}"/${PN}-${MY_PV}
	cd ${PN}-${MY_PV}
	rpm_unpack ../work/edir87310_ftf2/Linux/NLDAPbase.i386.rpm
}

src_compile() { :; }

src_install() {
	has_multilib_profile && ABI="x86"

	into /usr
	dolib "${WORKDIR}"/${PN}-${MY_PV}/usr/lib/*
	into /usr/ldaptools
	dobin "${WORKDIR}"/${PN}-${MY_PV}/usr/ldaptools/bin/*
	# renae conflicting man pages
	cd "${WORKDIR}"/${PN}-${MY_PV}/usr/ldaptools/man/man1
	for i in *
	do
	    mv "${WORKDIR}"/${PN}-${MY_PV}/usr/ldaptools/man/man1/${i} \
	    "${WORKDIR}"/${PN}-${MY_PV}/usr/ldaptools/man/man1/novell-${i}
	    mv "${WORKDIR}"/${PN}-${MY_PV}/usr/ldaptools/man/fr/man1/${i} \
	    "${WORKDIR}"/${PN}-${MY_PV}/usr/ldaptools/man/fr/man1/novell-${i}
	done
	doman "${WORKDIR}"/${PN}-${MY_PV}/usr/ldaptools/man/*/*.*
	use linguas_fr && doman -i18n=fr "${WORKDIR}"/${PN}-${MY_PV}/usr/ldaptools/man/fr/*/*.*

}

pkg_nofetch() {
	einfo "This files require you to register at ${HOMEPAGE} (free account)"
	einfo "Please download following file:"
	einfo " - ${NOVELL_FILE32}"
	einfo "from http://download.novell.com/Download?buildid=${NOVELL_BUILDID}"
	einfo "and place it in ${DISTDIR}"
	einfo ""
	einfo "To get rid of downloading files from ${HOMEPAGE}"
	einfo "you can create a file /etc/portage/novell.acc"
	einfo "containing the novell account infos with following commands"
	einfo "# echo \"NOVELL_ACCOUNT_USERNAME=\\\"balduin\\\"\" >> /etc/portage/novell.acc"
	einfo "# echo \"NOVELL_ACCOUNT_PASSWORD=\\\"derfisch\\\"\" >> /etc/portage/novell.acc"
}
