# Copyright 1999-2009 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $

EAPI="1"

NOVELL_BUILDID="hfY7O6iIdqw~"
NOVELL_FILE32="patchfiles/edir87310_ftf2.tar.gz"
RESTRICT="mirror strip"

inherit novell eutils rpm java-utils-2 multilib versionator

MY_PV=$(replace_version_separator 4 '-')

DESCRIPTION="Novell eDirectory Management Toolbox"
HOMEPAGE="http://www.novell.com"
SRC_URI="http://${NOVELL_ACCOUNT_USERNAME}:${NOVELL_ACCOUNT_PASSWORD}@cdn.novell.com/prot/${NOVELL_BUILDID}/${NOVELL_FILE32}"

LICENSE="Novell-eDir-87"
SLOT="8.7"
KEYWORDS="~x86 ~amd64"
IUSE=""

DEPEND="!net-nds/novell-novlembox:0
	!net-nds/novell-novlembox:8.8"

RDEPEND="virtual/libc
	>=virtual/jdk-1.4
	net-nds/novell-ndsbase:8.7
	net-nds/novell-ndsserv:8.7
	net-nds/novell-novllmgnt:8.7
	net-nds/novell-novlxis:8.7"

src_unpack() {
	unpack ${A}
	mkdir -p "${WORKDIR}"/${PN}-${MY_PV}
	cd ${PN}-${MY_PV}
	rpm_unpack ../work/edir87310_ftf2/Linux/NOVLembox.i386.rpm
}

src_compile() { :; }

src_install() {
	has_multilib_profile && ABI="x86"

	into /usr
	dobin "${WORKDIR}"/${PN}-${MY_PV}/usr/bin/*
	dosed 's$/usr/lib/nds-modules/embox/jre$`java-config --jre-home`$' /usr/bin/edirutil
	dosed "s|/usr/lib/nds-modules/|/usr/$(get_libdir)/nds-modules/|" /usr/bin/edirutil
	dolib.so "${WORKDIR}"/${PN}-${MY_PV}/usr/lib/*
	java-pkg_jarinto /usr/$(get_libdir)/nds-modules/embox
	java-pkg_dojar "${WORKDIR}"/${PN}-${MY_PV}//usr/lib/nds-modules/embox/*.jar

	dosym . /usr/$(get_libdir)/nds-modules/embox/emtools/$(get_libdir)
	into /usr/$(get_libdir)/nds-modules/embox/emtools
	dolib.so "${WORKDIR}"/${PN}-${MY_PV}/usr/lib/nds-modules/embox/emtools/*.so*
	rm "${D}"/usr/$(get_libdir)/nds-modules/embox/emtools/$(get_libdir)

	dosym . /usr/$(get_libdir)/nds-modules/embox/$(get_libdir)
	into /usr/$(get_libdir)/nds-modules/embox
	dolib.so "${WORKDIR}"/${PN}-${MY_PV}/usr/lib/nds-modules/embox/*.so*
	rm "${D}"/usr/$(get_libdir)/nds-modules/embox/$(get_libdir)

	insinto /usr/$(get_libdir)/nds-modules/embox/config
	doins "${WORKDIR}"/${PN}-${MY_PV}/usr/lib/nds-modules/embox/config/*.xml
	insinto /usr/$(get_libdir)/nds-modules/embox/res
	doins "${WORKDIR}"/${PN}-${MY_PV}/usr/lib/nds-modules/embox/res/*.xlf

	dosym . /usr/$(get_libdir)/nds-modules/$(get_libdir)
	into /usr/$(get_libdir)/nds-modules
	dolib.so "${WORKDIR}"/${PN}-${MY_PV}/usr/lib/nds-modules/*
	rm "${D}"/usr/$(get_libdir)/nds-modules/$(get_libdir)
	insinto /usr/lib/nds-schema
	doins "${WORKDIR}"/${PN}-${MY_PV}/usr/lib/nds-schema/*

	keepdir /var/nds/embox/log
}

pkg_nofetch() {
	einfo "This files require you to register at ${HOMEPAGE} (free account)"
	einfo "Please download following file:"
	einfo " - ${NOVELL_FILE32}"
	einfo "from http://download.novell.com/Download?buildid=${NOVELL_BUILDID}"
	einfo "and place it in ${DISTDIR}"
	einfo ""
	einfo "To get rid of downloading files from ${HOMEPAGE}"
	einfo "you can create a file /etc/portage/novell.acc"
	einfo "containing the novell account infos with following commands"
	einfo "# echo \"NOVELL_ACCOUNT_USERNAME=\\\"balduin\\\"\" >> /etc/portage/novell.acc"
	einfo "# echo \"NOVELL_ACCOUNT_PASSWORD=\\\"derfisch\\\"\" >> /etc/portage/novell.acc"
}
