# Copyright 1999-2011 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $

EAPI="1"

NOVELL_BUILDID32="pnMbR9EB7wo~"
NOVELL_FILE32="patchfiles/edir8863.tar.gz"
NOVELL_BUILDID64="pnMbR9EB7wo~"
NOVELL_FILE64="patchfiles/edir8863.tar.gz"
RESTRICT="mirror strip"

inherit novell eutils rpm java-utils-2 multilib versionator

MY_PV=$(replace_version_separator 3 '-')

DESCRIPTION="Novell eDirectory Management Toolbox"
HOMEPAGE="http://www.novell.com"
SRC_URI="x86? ( http://${NOVELL_ACCOUNT_USERNAME}:${NOVELL_ACCOUNT_PASSWORD}@cdn.novell.com/prot/${NOVELL_BUILDID32}/${NOVELL_FILE32} )
        amd64? ( http://${NOVELL_ACCOUNT_USERNAME}:${NOVELL_ACCOUNT_PASSWORD}@cdn.novell.com/prot/${NOVELL_BUILDID64}/${NOVELL_FILE64} )"

LICENSE="Novell-eDir-88"
SLOT="8.8"
KEYWORDS="~x86 ~amd64"
IUSE=""

DEPEND="!net-nds/novell-novlembox:0
	!net-nds/novell-novlembox:8.7"

RDEPEND="virtual/libc
	>=virtual/jdk-1.4
	net-nds/novell-ndsbase:8.8
	net-nds/novell-ndsserv:8.8
	net-nds/novell-novllmgnt:8.8
	net-nds/novell-novlxis:8.8"

src_unpack() {
        cd "${WORKDIR}"
        unpack ${A}    
        if use x86     
        then           
            narch=i586 
            nlib=lib   
            ndir=Linux
        elif use amd64 
        then           
            narch=x86_64
            nlib=lib64  
            ndir=Linux64
        fi              
        mkdir -p "${WORKDIR}"/${PN}-${MY_PV}
        cd ${PN}-${MY_PV}                   
        rpm_unpack ../work/edir8863/${ndir}/novell-NOVLembox.${narch}.rpm
}                                                                        

src_compile() { :; }

src_install() {
        into /opt/novell/eDirectory/
        dobin "${WORKDIR}"/${PN}-${MY_PV}/opt/novell/eDirectory/bin/d*
        dolib.so "${WORKDIR}"/${PN}-${MY_PV}/opt/novell/eDirectory/${nlib}/*.*

        dosym . /opt/novell/eDirectory/$(get_libdir)/nds-modules/$(get_libdir)
        into /opt/novell/eDirectory/$(get_libdir)/nds-modules
        dolib.so "${WORKDIR}"/${PN}-${MY_PV}/opt/novell/eDirectory/${nlib}/nds-modules/*
        rm "${D}"/opt/novell/eDirectory/$(get_libdir)/nds-modules/$(get_libdir)
        insinto /opt/novell/eDirectory/$(get_libdir)/nds-schema
        doins "${WORKDIR}"/${PN}-${MY_PV}/opt/novell/eDirectory/${nlib}/nds-schema/*


#	dosed 's$`which java 2> /dev/null`$`java-config --jre-home 2> /dev/null`/jre/bin/java$' /opt/novell/eDirectory/bin/edirutil
#	dosed "s|/usr/lib/nds-modules/|/usr/$(get_libdir)/nds-modules/|" /usr/bin/edirutil


        into /usr
	java-pkg_jarinto /opt/novell/eDirectory/$(get_libdir)/nds-modules/embox
	java-pkg_dojar "${WORKDIR}"/${PN}-${MY_PV}/opt/novell/eDirectory/${nlib}/nds-modules/embox/*.jar
        into /opt/novell/eDirectory/
	java-pkg_dolauncher edirutil --main embox

        dosym . /opt/novell/eDirectory/$(get_libdir)/nds-modules/embox/emtools/$(get_libdir)
        into /opt/novell/eDirectory/$(get_libdir)/nds-modules/embox/emtools
        dolib.so "${WORKDIR}"/${PN}-${MY_PV}/opt/novell/eDirectory/${nlib}/nds-modules/embox/emtools/*
        rm "${D}"/opt/novell/eDirectory/$(get_libdir)/nds-modules/embox/emtools/$(get_libdir)

        dosym . /opt/novell/eDirectory/$(get_libdir)/nds-modules/embox/$(get_libdir)
        into /opt/novell/eDirectory/$(get_libdir)/nds-modules/embox
        dolib.so "${WORKDIR}"/${PN}-${MY_PV}/opt/novell/eDirectory/${nlib}/nds-modules/embox/*
        rm "${D}"/opt/novell/eDirectory/$(get_libdir)/nds-modules/embox/$(get_libdir)

	insinto /opt/novell/eDirectory/$(get_libdir)/nds-modules/embox/config
	doins "${WORKDIR}"/${PN}-${MY_PV}/opt/novell/eDirectory/${nlib}/nds-modules/embox/config/*.xml
	insinto /opt/novell/eDirectory/$(get_libdir)/nds-modules/embox/res
	doins "${WORKDIR}"/${PN}-${MY_PV}/opt/novell/eDirectory/${nlib}/nds-modules/embox/res/*.xlf

#	keepdir /var/nds/embox/log
}

pkg_nofetch() {
	einfo "This files require you to register at ${HOMEPAGE} (free account)"
	einfo "Please download following file:"
	einfo " - ${NOVELL_FILE32}"
	einfo "from http://download.novell.com/Download?buildid=${NOVELL_BUILDID}"
	einfo "and place it in ${DISTDIR}"
	einfo ""
	einfo "To get rid of downloading files from ${HOMEPAGE}"
	einfo "you can create a file /etc/portage/novell.acc"
	einfo "containing the novell account infos with following commands"
	einfo "# echo \"NOVELL_ACCOUNT_USERNAME=\\\"balduin\\\"\" >> /etc/portage/novell.acc"
	einfo "# echo \"NOVELL_ACCOUNT_PASSWORD=\\\"derfisch\\\"\" >> /etc/portage/novell.acc"
}
