# Copyright 1999-2009 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $

EAPI="1"

NOVELL_BUILDID="hfY7O6iIdqw~"
NOVELL_FILE32="patchfiles/edir87310_ftf2.tar.gz"
RESTRICT="mirror strip"

inherit novell eutils rpm multilib versionator

MY_PV=$(replace_version_separator 4 '-')

DESCRIPTION="Novell Language Management Utilities"
HOMEPAGE="http://www.novell.com"
SRC_URI="http://${NOVELL_ACCOUNT_USERNAME}:${NOVELL_ACCOUNT_PASSWORD}@cdn.novell.com/prot/${NOVELL_BUILDID}/${NOVELL_FILE32}"

LICENSE="Novell-eDir-87"
SLOT="8.7"
KEYWORDS="~x86 ~amd64"
IUSE=""

DEPEND="!net-nds/novell-novllmgnt:0
	!net-nds/novell-novllmgnt:8.8"

RDEPEND="virtual/libc
	net-nds/novell-ndsbase:8.7
	net-nds/novell-novlxis:8.7"

src_unpack() {
	unpack ${A}
	mkdir -p "${WORKDIR}"/${PN}-${MY_PV}
	cd ${PN}-${MY_PV}
	rpm_unpack ../work/edir87310_ftf2/Linux/NOVLlmgnt.i386.rpm
}

src_compile() { :; }

src_install() {
	has_multilib_profile && ABI="x86"

	into /usr
	dolib "${WORKDIR}"/${PN}-${MY_PV}/usr/lib/*
	# delete file collitions that screws u the system
	rm "${D}"/usr/$(get_libdir)/libicu*.so

}

pkg_nofetch() {
	einfo "This files require you to register at ${HOMEPAGE} (free account)"
	einfo "Please download following file:"
	einfo " - ${NOVELL_FILE32}"
	einfo "from http://download.novell.com/Download?buildid=${NOVELL_BUILDID}"
	einfo "and place it in ${DISTDIR}"
	einfo ""
	einfo "To get rid of downloading files from ${HOMEPAGE}"
	einfo "you can create a file /etc/portage/novell.acc"
	einfo "containing the novell account infos with following commands"
	einfo "# echo \"NOVELL_ACCOUNT_USERNAME=\\\"balduin\\\"\" >> /etc/portage/novell.acc"
	einfo "# echo \"NOVELL_ACCOUNT_PASSWORD=\\\"derfisch\\\"\" >> /etc/portage/novell.acc"
}
