# Copyright 1999-2011 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $

EAPI="1"

NOVELL_BUILDID32="pnMbR9EB7wo~"
NOVELL_FILE32="patchfiles/edir8863.tar.gz"
NOVELL_BUILDID64="pnMbR9EB7wo~"
NOVELL_FILE64="patchfiles/edir8863.tar.gz"
RESTRICT="mirror strip"

inherit novell eutils rpm java-utils-2 multilib versionator

MY_PV=$(replace_version_separator 3 '-')

DESCRIPTION="Novell SAS Libraries"
HOMEPAGE="http://www.novell.com"
SRC_URI="x86? ( http://${NOVELL_ACCOUNT_USERNAME}:${NOVELL_ACCOUNT_PASSWORD}@cdn.novell.com/prot/${NOVELL_BUILDID32}/${NOVELL_FILE32} )
        multilib? ( http://${NOVELL_ACCOUNT_USERNAME}:${NOVELL_ACCOUNT_PASSWORD}@cdn.novell.com/prot/${NOVELL_BUILDID64}/${NOVELL_FILE64} )"

LICENSE="Novell-eDir-88"
SLOT="8.8"
KEYWORDS="~x86 ~amd64"
IUSE="multilib"

DEPEND="!net-nds/novell-novlsas:0
	!net-nds/novell-novlsas:8.7"

RDEPEND="virtual/libc
	>=virtual/jdk-1.4
	>=app-crypt/novell-nici-2.6.4_p005
	net-nds/novell-ndsbase:8.8"

src_unpack() {
	cd "${WORKDIR}"
	unpack ${A}
	if use x86
	then
	    narch=i586
	    nlib=lib
	    ndir=Linux
	elif use amd64
	then
	    narch=i586
	    nlib=lib
	    ndir=Linux
	fi
	mkdir -p "${WORKDIR}"/${PN}-${MY_PV}
	cd ${PN}-${MY_PV}
	rpm_unpack ../work/edir8863/${ndir}/novell-NOVLsas.${narch}.rpm
}

src_compile() { :; }

src_install() {
	has_multilib_profile && ABI="x86"
	into /opt/novell/eDirectory
	dolib "${WORKDIR}"/${PN}-${MY_PV}/opt/novell/eDirectory/${nlib}/*.so*
	into /usr
	java-pkg_jarinto /opt/novell/eDirectory/$(get_libdir)
	java-pkg_dojar "${WORKDIR}"/${PN}-${MY_PV}/opt/novell/eDirectory/${nlib}/*.jar
}

pkg_nofetch() {
	einfo "This files require you to register at ${HOMEPAGE} (free account)"
	einfo "Please download following file(s):"
	if use x86
	then
	    einfo " - ${NOVELL_FILE32}"
	    einfo "from http://download.novell.com/Download?buildid=${NOVELL_BUILDID32}"
	elif use amd64
	then
	    einfo " - ${NOVELL_FILE64}"
	    einfo "from http://download.novell.com/Download?buildid=${NOVELL_BUILDID64}"
	    if use multilib
	    then
		einfo " - ${NOVELL_FILE32}"
		einfo "from http://download.novell.com/Download?buildid=${NOVELL_BUILDID32}"
	    fi
	fi
	einfo "and place them in ${DISTDIR}"
	einfo ""
	einfo "To get rid of downloading files from ${HOMEPAGE}"
	einfo "you can create a file /etc/portage/novell.acc"
	einfo "containing the novell account infos with following commands"
	einfo "# echo \"NOVELL_ACCOUNT_USERNAME=\\\"balduin\\\"\" >> /etc/portage/novell.acc"
	einfo "# echo \"NOVELL_ACCOUNT_PASSWORD=\\\"derfisch\\\"\" >> /etc/portage/novell.acc"
}
