# Copyright 1999-2009 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $

NOVELL_BUILDID="6Dvlz12hewI~"
NOVELL_FILE32="novell-client-2.0-sp2-patch2-sle11-i586.iso"
NOVELL_FILE64="novell-client-2.0-sp2-patch2-sle11-x86_64.iso"
SUSE_FILE32="http://download.opensuse.org/distribution/11.1/repo/oss/suse/i586/binutils-2.19-9.3.i586.rpm"
SUSE_FILE64="http://download.opensuse.org/distribution/11.1/repo/oss/suse/x86_64/binutils-2.19-9.3.x86_64.rpm"
RESTRICT="mirror strip"
USE_RPMOFFSET_ONLY="1"

inherit novell eutils rpm5 versionator

MY_PVV=$(replace_version_separator 3 '-')
MY_PV="${MY_PVV/_p/-}"

DESCRIPTION="Novell Xtier Base"
HOMEPAGE="http://www.novell.com"
SRC_URI="x86? ( http://${NOVELL_ACCOUNT_USERNAME}:${NOVELL_ACCOUNT_PASSWORD}@cdn.novell.com/prot/${NOVELL_BUILDID}/patchfiles/${NOVELL_FILE32}
	${SUSE_FILE32} )
	amd64? ( http://${NOVELL_ACCOUNT_USERNAME}:${NOVELL_ACCOUNT_PASSWORD}@cdn.novell.com/prot/${NOVELL_BUILDID}/patchfiles/${NOVELL_FILE64}
	${SUSE_FILE64} )"

LICENSE="Novell-NCL"
SLOT="0"
KEYWORDS="~x86 ~amd64"
IUSE=""

DEPEND=">=app-arch/p7zip-4.15"

RDEPEND="virtual/libc
	net-nds/novell-xtier-env
	>=dev-libs/expat-2.0.0
	>=net-nds/novell-xtier-core-${PV}
	>=sys-libs/ncurses-5.5
	>=sys-devel/gcc-4.1"

src_unpack() {
	cd "${WORKDIR}"
	if use x86
	then
	    narch=i586
	    nlib=lib
	    brel=9.3
	    7z x "${DISTDIR}"/${NOVELL_FILE32}
	elif use amd64
	then
	    narch=x86_64
	    nlib=lib64
	    brel=9.3
	    7z x "${DISTDIR}"/${NOVELL_FILE64}
	fi
	rpm5_unpack "${DISTDIR}"/binutils-2.19-${brel}.${narch}.rpm
	mkdir -p "${WORKDIR}"/${PN}-${MY_PV}
	cd ${PN}-${MY_PV}
	rpm5_unpack "${WORKDIR}"/suse/${narch}/${PN}-${MY_PV}.${narch}.rpm
}

src_compile() { :; }

src_install() {
	into /opt/novell/xtier
	# still a hack
	dolib.so "${WORKDIR}"/usr/${nlib}/libbfd-*.so
	dobin "${WORKDIR}"/${PN}-${MY_PV}/opt/novell/xtier/bin/*
	dolib.so "${WORKDIR}"/${PN}-${MY_PV}/opt/novell/xtier/${nlib}/*
	dodoc "${WORKDIR}"/${PN}-${MY_PV}/usr/share/doc/packages/${PN}/*
	dodir /var/opt/novell/xtier/xregd/db
	keepdir /var/opt/novell/xtier/xregd/db
	dodir /etc/opt/novell/xtier/xregd
	keepdir /etc/opt/novell/xtier/xregd
	insinto /etc/opt/novell/xtier/
	doins "${WORKDIR}"/${PN}-${MY_PV}/etc/opt/novell/xtier/*
	exeinto /etc/opt/novell/xtier/xregd/init/
	doexe "${FILESDIR}"/*.sh

	newinitd "${FILESDIR}"/novell-xregd20.initd novell-xregd
}





pkg_nofetch() {
	einfo "This files require you to register at ${HOMEPAGE} (free account)"
	einfo "Please download following file:"
	if use x86
	then
	    einfo " - ${NOVELL_FILE32}"
	elif use amd64
	then
	    einfo " - ${NOVELL_FILE64}"
	fi
	einfo "from http://download.novell.com/Download?buildid=${NOVELL_BUILDID}"
	einfo "and get the following files from SuSE"
	if use x86
	then
	    einfo " - ${SUSE_FILE32}"
	elif use amd64
	then
	    einfo " - ${SUSE_FILE64}"
	fi
	einfo "and place them in ${DISTDIR}"
	einfo ""
	einfo "To get rid of downloading files from ${HOMEPAGE}"
	einfo "you can create a file /etc/portage/novell.acc"
	einfo "containing the novell account infos with following commands"
	einfo "# echo \"NOVELL_ACCOUNT_USERNAME=\\\"balduin\\\"\" >> /etc/portage/novell.acc"
	einfo "# echo \"NOVELL_ACCOUNT_PASSWORD=\\\"derfisch\\\"\" >> /etc/portage/novell.acc"
}

pkg_preinst(){
	enewgroup novlxtier
	enewuser novlxregd -1 -1 /var/opt/novell/xtier/xregd novlxtier
}

