# Copyright 1999-2010 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $

NOVELL_BUILDID="6Dvlz12hewI~"
NOVELL_FILE32="novell-client-2.0-sp2-patch2-sle11-i586.iso"
NOVELL_FILE64="novell-client-2.0-sp2-patch2-sle11-x86_64.iso"
RESTRICT="mirror strip"

inherit novell eutils rpm5 multilib versionator

MY_PV=$(replace_version_separator 3 '-')

DESCRIPTION="Novell NMAS Client for Linux"
HOMEPAGE="http://www.novell.com"
SRC_URI="x86? ( http://${NOVELL_ACCOUNT_USERNAME}:${NOVELL_ACCOUNT_PASSWORD}@cdn.novell.com/prot/${NOVELL_BUILDID}/patchfiles/${NOVELL_FILE32} )
	multilib? ( http://${NOVELL_ACCOUNT_USERNAME}:${NOVELL_ACCOUNT_PASSWORD}@cdn.novell.com/prot/${NOVELL_BUILDID}/patchfiles/${NOVELL_FILE32} )
	amd64? ( http://${NOVELL_ACCOUNT_USERNAME}:${NOVELL_ACCOUNT_PASSWORD}@cdn.novell.com/prot/${NOVELL_BUILDID}/patchfiles/${NOVELL_FILE64} )"

LICENSE="Novell-NCL"
SLOT="0"
KEYWORDS="~x86 ~amd64"
IUSE=""

DEPEND=">=app-arch/p7zip-4.15"

RDEPEND="virtual/libc
	>=app-crypt/novell-nici-2.7.4.6-r1"

src_unpack() {
	cd "${WORKDIR}"
	if use x86
	then
	    narch=i586
	    nlib=lib

	    7z x "${DISTDIR}"/${NOVELL_FILE32}
	    mkdir -p "${WORKDIR}"/${PN}-${MY_PV}
	    cd ${PN}-${MY_PV}
	    rpm5_unpack "${WORKDIR}"/suse/${narch}/${PN}-${MY_PV}.${narch}.rpm
	elif use amd64
	then
	    narch=x86_64
	    nlib=lib64

	    if has_multilib_profile
	    then
		7z x "${DISTDIR}"/${NOVELL_FILE32}
	    fi
	    7z x -y "${DISTDIR}"/${NOVELL_FILE64}
	    mkdir -p "${WORKDIR}"/${PN}-${MY_PV}
	    cd ${PN}-${MY_PV}
	    rpm5_unpack "${WORKDIR}"/suse/${narch}/${PN}-${MY_PV}.${narch}.rpm

	    if has_multilib_profile
	    then
		rpm5_unpack "${WORKDIR}"/suse/i586/${PN}-${MY_PV}.i586.rpm
	    fi
	fi
}

src_compile() { :; }

src_install() {
	into /opt/novell/nmas/client/
	dobin "${WORKDIR}"/${PN}-${MY_PV}/opt/novell/nmas/client/bin/*

	if use x86
	then
	    dolib.so "${WORKDIR}"/${PN}-${MY_PV}/opt/novell/nmas/client/${nlib}/*
	elif has_multilib_profile
	then
	    dolib.so "${WORKDIR}"/${PN}-${MY_PV}/opt/novell/nmas/client/${nlib}/*
	    ABI="x86" dolib.so "${WORKDIR}"/${PN}-${MY_PV}/opt/novell/nmas/client/lib/*
	else
	    dolib.so "${WORKDIR}"/${PN}-${MY_PV}/opt/novell/nmas/client/${nlib}/*
	fi

	if use x86
	then
	    doenvd "${FILESDIR}"/80novell-nmasclient
	elif use amd64
	then
	    doenvd "${FILESDIR}"/80novell-nmasclient64
	fi
}

pkg_nofetch() {
	einfo "This files require you to register at ${HOMEPAGE} (free account)"
	einfo "Please download following file(s):"
	if use x86
	then
	    einfo " - ${NOVELL_FILE32}"
	elif use amd64
	then
	    einfo " - ${NOVELL_FILE64}"
	    if use multilib
	    then
		einfo " - ${NOVELL_FILE32}"
	    fi
	fi
	einfo "from http://download.novell.com/Download?buildid=${NOVELL_BUILDID}"
	einfo "and place them in ${DISTDIR}"
	einfo ""
	einfo "To get rid of downloading files from ${HOMEPAGE}"
	einfo "you can create a file /etc/portage/novell.acc"
	einfo "containing the novell account infos with following commands"
	einfo "# echo \"NOVELL_ACCOUNT_USERNAME=\\\"balduin\\\"\" >> /etc/portage/novell.acc"
	einfo "# echo \"NOVELL_ACCOUNT_PASSWORD=\\\"derfisch\\\"\" >> /etc/portage/novell.acc"
}
