# Copyright 1999-2009 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $

NOVELL_BUILDID="6Dvlz12hewI~"
NOVELL_FILE32="novell-client-2.0-sp2-patch2-sle11-i586.iso"
NOVELL_FILE64="novell-client-2.0-sp2-patch2-sle11-x86_64.iso"
RESTRICT="mirror strip"

inherit novell eutils rpm5 versionator

MY_PVV=$(replace_version_separator 3 '_')
MY_PV="${MY_PVV/_/-}"
MY_P="${MY_PVV/_*/}"

DESCRIPTION="Novell XPLAT Libraries"
HOMEPAGE="http://www.novell.com"
SRC_URI="x86? ( http://${NOVELL_ACCOUNT_USERNAME}:${NOVELL_ACCOUNT_PASSWORD}@cdn.novell.com/prot/${NOVELL_BUILDID}/patchfiles/${NOVELL_FILE32} )
	amd64? ( http://${NOVELL_ACCOUNT_USERNAME}:${NOVELL_ACCOUNT_PASSWORD}@cdn.novell.com/prot/${NOVELL_BUILDID}/patchfiles/${NOVELL_FILE64} )"

LICENSE="Novell-NCL"
SLOT="0"
KEYWORDS="~x86 ~amd64"
IUSE=""

DEPEND=">=app-arch/p7zip-4.15"

RDEPEND="virtual/libc
	net-nds/novell-env
	>=net-nds/novell-xtier-base-3.1.6.12
	>=net-nds/novell-xtier-xplat-3.1.6.12"

src_unpack() {
	cd "${WORKDIR}"
	if use x86
	then
	    narch=i586
	    nlib=lib
	    7z x "${DISTDIR}"/${NOVELL_FILE32}
	elif use amd64
	then
	    narch=x86_64
	    nlib=lib64
	    7z x "${DISTDIR}"/${NOVELL_FILE64}
	fi
	mkdir -p "${WORKDIR}"/${PN}-${MY_PV}
	cd ${PN}-${MY_PV}
	rpm5_unpack "${WORKDIR}"/suse/${narch}/${PN}-${MY_PV}.${narch}.rpm
}

src_compile() { :; }

src_install() {
	into /opt/novell
	dolib.so ""${WORKDIR}"/${PN}-${MY_PV}"/opt/novell/${nlib}/*
	for xlib in cal cln clx loc ncp net
	do
	    dosym lib${xlib}lnx.so.${MY_P} /opt/novell/$(get_libdir)/lib${xlib}lnx.so.1
	    dosym lib${xlib}lnx.so.1 /opt/novell/$(get_libdir)/lib${xlib}lnx.so
	done
	dodoc ""${WORKDIR}"/${PN}-${MY_PV}"/usr/share/doc/packages/${PN}/*
}

pkg_nofetch() {
	einfo "This files require you to register at ${HOMEPAGE} (free account)"
	einfo "Please download following file:"
	if use x86
	then
	    einfo " - ${NOVELL_FILE32}"
	elif use amd64
	then
	    einfo " - ${NOVELL_FILE64}"
	fi
	einfo "from http://download.novell.com/Download?buildid=${NOVELL_BUILDID}"
	einfo "and place it in ${DISTDIR}"
	einfo ""
	einfo "To get rid of downloading files from ${HOMEPAGE}"
	einfo "you can create a file /etc/portage/novell.acc"
	einfo "containing the novell account infos with following commands"
	einfo "# echo \"NOVELL_ACCOUNT_USERNAME=\\\"balduin\\\"\" >> /etc/portage/novell.acc"
	einfo "# echo \"NOVELL_ACCOUNT_PASSWORD=\\\"derfisch\\\"\" >> /etc/portage/novell.acc"
}
